Summary:     GNU File Utilities
Summary(de): GNU-Datei-Utilities
Summary(fr): Utilitaires fichier de GNU
Summary(tr): GNU dosya ilemleri yardmc yazlmlar
Name:        fileutils
Version:     4.0i
Release:     1
URL:         http://www.gnu.org/software/fileutils/
Source0:     ftp://alpha.gnu.org/gnu/fetish/%{name}-%{version}.tar.gz
Source1:     DIR_COLORS
Copyright:   GPL
Group:       Utilities/File
Prereq:      /sbin/install-info
BuildRoot:   /tmp/%{name}-%{version}-root

%description
These are the GNU file management utilities.  It includes programs
to copy, move, list, etc, files.

The ls program in this package now incorporates color ls!

%description -l de
Dies sind die GNU-Dateiverwaltungs-Utilities. Sie enthalten Programme
zum Kopieren, Bewegen, Auflisten usw. von Dateien. 

%description -l fr
Utilitaire de gestion de fichiers de GNU. Contient les programmes
pour copier, dplacer, lister, etc. les fichiers.

Le programme ls de ce paquetage incorpore maintenant ls en couleurs !

%description -l tr
Bu pakette yer alan programlar dosyalar zerinde kopyalama, isim deitirme
gibi temel ilemleri yapmanz salar.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --exec-prefix=/
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc \
           $RPM_BUILD_ROOT/usr/bin

make prefix=$RPM_BUILD_ROOT/usr \
     exec_prefix=$RPM_BUILD_ROOT/ \
     install-strip

gzip -9nf $RPM_BUILD_ROOT/usr/info/fileutils*

mv -f $RPM_BUILD_ROOT/bin/install $RPM_BUILD_ROOT/usr/bin/install
mv -f $RPM_BUILD_ROOT/bin/du $RPM_BUILD_ROOT/usr/bin/du
mv -f $RPM_BUILD_ROOT/bin/dir $RPM_BUILD_ROOT/usr/bin/dir
mv -f $RPM_BUILD_ROOT/bin/vdir $RPM_BUILD_ROOT/usr/bin/vdir
mv -f $RPM_BUILD_ROOT/bin/mkfifo $RPM_BUILD_ROOT/usr/bin/mkfifo
mv -f $RPM_BUILD_ROOT/bin/dircolors $RPM_BUILD_ROOT/usr/bin/dircolors

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc

%post
/sbin/install-info /usr/info/fileutils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/fileutils.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS ChangeLog NEWS README THANKS TODO
%config /etc/DIR_COLORS
/bin/*
/usr/bin/*
%attr(-,root,man) /usr/man/*/*
/usr/info/fileutils*
/usr/share/locale/*/*/*

%changelog
* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [4.0i-1]

* Tue May 11 1999 Arne Coucheron <arneco@online.no>
  [4.0h-1]

* Mon Apr 26 1999 Arne Coucheron <arneco@online.no>
  [4.0g-1]

* Sun Apr 11 1999 Arne Coucheron <arneco@online.no>
  [4.0f-1]

* Tue Apr 06 1999 Arne Coucheron <arneco@online.no>
  [4.0e-1]
- corrected Source tag
- added URL tag
- several changes in the spec file

* Wed Nov 18 1998 Arne Coucheron <arneco@online.no>
  [4.0-1]
- using %%{name} and %%{version} macros
- updated DIR_COLORS with some additional color definitions
- some general changes in the spec file

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- got install-info stuff working in %post/%pre

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- added %clean

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- minor patch for glibc 2.1

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- install-info turned off, as it creates a prereq loop

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- install-info turned on
- added BuildRoot

* Mon Sep 15 1997 Erik Troan <ewt@redhat.com>
- can't use install-info until %post -p allows argument passing

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri May 16 1997 Erik Troan <ewt@redhat.com>
- rebuilt for glibc.

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- Hacked at mktime() test to work on 64 bit machines w/ broken mktime(). I
  told Ulrich Drepper and Richard Henderson about this, so hopefully glibc
  will get fixed.

* Thu Feb 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 3.16.